Page MenuHomePhabricator

Convert log-show-hide-{$type} messages to logeventslist-{$type}-log
Closed, ResolvedPublic

Description

In converting Special:Log to HTMLForm the log-show-hide-{$type} messages were changed to logeventslist-{$type}-log. This needs to be updated in a bunch of places and old messages need to be removed. From @matej_suchanek in T117737#4425857.

Details

Related Gerrit Patches:
mediawiki/extensions/BlueSpicePageAssignments : masterConvert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/extensions/BlueSpiceNamespaceManager : masterConvert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/extensions/BlueSpicePageAccess : masterConvert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/extensions/BlueSpicePermissionManager : masterConvert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/extensions/BlueSpiceChecklist : masterConvert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/extensions/BlueSpiceGroupManager : masterConvert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/extensions/MediaWikiChat : masterConvert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/extensions/Comments : masterConvert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/core : masterLogEventsList: Add backwards-compatibility for log-show-hide messages
mediawiki/extensions/Thanks : wmf/1.32.0-wmf.13Add missing message for Special:Log filters
mediawiki/extensions/FlaggedRevs : wmf/1.32.0-wmf.13Convert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/extensions/FlaggedRevs : masterConvert log-show-hide-{$type} messages to logeventslist-{$type}-log
mediawiki/extensions/Thanks : masterAdd missing message for Special:Log filters
mediawiki/core : masterLogEventsList: Remove unused messages

Related Objects

Event Timeline

Prtksxna triaged this task as Medium priority.Jul 16 2018, 4:24 AM
Prtksxna created this task.

@Legoktm @Jdforrester-WMF Does this need to be documented in the release notes?

Change 445933 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] LogEventsList: Remove unused messages

https://gerrit.wikimedia.org/r/445933

Prtksxna updated the task description. (Show Details)Jul 16 2018, 4:40 AM

Change 445934 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/FlaggedRevs@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445934

Prtksxna updated the task description. (Show Details)Jul 16 2018, 4:52 AM
Prtksxna updated the task description. (Show Details)Jul 16 2018, 5:13 AM

Change 445935 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/Comments@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445935

Change 445936 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/MediaWikiChat@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445936

Prtksxna updated the task description. (Show Details)Jul 16 2018, 5:25 AM
Prtksxna updated the task description. (Show Details)Jul 16 2018, 5:31 AM

Change 445938 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/BlueSpiceChecklist@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445938

Prtksxna updated the task description. (Show Details)Jul 16 2018, 5:37 AM

Change 445943 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/BlueSpiceNamespaceManager@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445943

Prtksxna updated the task description. (Show Details)Jul 16 2018, 6:39 AM

Change 445944 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/BlueSpicePageAccess@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445944

Prtksxna updated the task description. (Show Details)Jul 16 2018, 6:45 AM

Change 445946 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/BlueSpicePermissionManager@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445946

Prtksxna updated the task description. (Show Details)Jul 16 2018, 6:50 AM

Change 445947 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/BlueSpiceGroupManager@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445947

Change 445948 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/BlueSpicePageAssignments@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445948

Prtksxna updated the task description. (Show Details)Jul 16 2018, 6:57 AM

The old messages should remain since I suspect the current PR only
takes into account MW 1.32. The next release of SMW is still planned
to support MW 1.27 so removing those message will cause trouble for
non MW 1.32 environments.
Of course, if the new messages are also available for MW 1.27 then
there are no objections.

Would this be an issue for other extensions too? Should we be removing the old messages later?

This comment was removed by matmarex.

Would this be an issue for other extensions too? Should we be removing the old messages later?

This depends on the maintainer.

  • Some extensions, in particular most of those maintained by WMF, are only compatible with the most recent master version of MediaWiki. If you're using an older release, you're supposed to use the matching older version of the extension, and occasionally critical patches are backported to them.
  • Some extensions, in particular Semantic MediaWiki extensions and those in MediaWiki Language Extension Bundle, remain compatible with previous MediaWiki releases.

See also https://www.mediawiki.org/wiki/Compatibility#MediaWiki_extensions for the same explanation.

Apparently (according to that page), the policy is sometimes documented in the infobox on MediaWiki.org. If it isn't, I suppose you'll have to wait for the maintainer to respond on your patch.

@Legoktm @Jdforrester-WMF Does this need to be documented in the release notes?

Yeah, I think we should document this.


To avoid a breaking change, we could also add some backwards-compatibility hacks, like for the LogEventsListGetExtraInputs hook, to try to use the old messages if new ones are not defined.

We could replace the current code:

$options[ $this->msg( "logeventslist-{$type}-log" )->text() ] = $type;

With something like this: [plus maybe some deprecation warning]

$message = $this->msg( "logeventslist-{$type}-log" );
if ( !$message->exists() ) {
	$message = $this->msg( "log-show-hide-{$type}" )->params( $this->msg( 'show' )->text() );
}
$options[ $message->text() ] = $type;

Change 445857 had a related patch set uploaded (by Bartosz Dziewoński; owner: Daimona Eaytoy):
[mediawiki/extensions/Thanks@master] Add missing message for Special:Log filters

https://gerrit.wikimedia.org/r/445857

For Thanks and FlaggedRevs, it is definitely fine to remove the old messages, so I will merge those patches.

These are also the only two affected extensions that are deployed to Wikimedia wikis. We will need to backport https://gerrit.wikimedia.org/r/445857 and https://gerrit.wikimedia.org/r/445934 to wmf.13, otherwise those messages will not show up when it is deployed to production wikis this week (you can see the thanks one is missing on https://www.mediawiki.org/wiki/Special:Log already).

For other extensions I'll let their maintainers decide (but feel free to ping me if no one responds, and I'll merge stuff).

Change 445933 merged by jenkins-bot:
[mediawiki/core@master] LogEventsList: Remove unused messages

https://gerrit.wikimedia.org/r/445933

Change 445934 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445934

Change 445857 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Add missing message for Special:Log filters

https://gerrit.wikimedia.org/r/445857

Change 446485 had a related patch set uploaded (by Bartosz Dziewoński; owner: Daimona Eaytoy):
[mediawiki/extensions/Thanks@wmf/1.32.0-wmf.13] Add missing message for Special:Log filters

https://gerrit.wikimedia.org/r/446485

Change 446486 had a related patch set uploaded (by Bartosz Dziewoński; owner: Prtksxna):
[mediawiki/extensions/FlaggedRevs@wmf/1.32.0-wmf.13] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/446486

Change 446486 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@wmf/1.32.0-wmf.13] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/446486

Change 446485 merged by jenkins-bot:
[mediawiki/extensions/Thanks@wmf/1.32.0-wmf.13] Add missing message for Special:Log filters

https://gerrit.wikimedia.org/r/446485

Prtksxna updated the task description. (Show Details)Jul 18 2018, 2:50 AM

Change 446522 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] LogEventsList: Add backwards-compatibility for log-show-hide messages

https://gerrit.wikimedia.org/r/446522

Prtksxna updated the task description. (Show Details)Jul 18 2018, 4:22 AM
Kghbln updated the task description. (Show Details)Jul 18 2018, 5:53 AM

Change 446522 merged by jenkins-bot:
[mediawiki/core@master] LogEventsList: Add backwards-compatibility for log-show-hide messages

https://gerrit.wikimedia.org/r/446522

Change 445935 merged by jenkins-bot:
[mediawiki/extensions/Comments@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445935

Change 445936 merged by jenkins-bot:
[mediawiki/extensions/MediaWikiChat@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445936

Prtksxna updated the task description. (Show Details)Jul 20 2018, 1:36 AM

Change 445947 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceGroupManager@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445947

Change 445938 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceChecklist@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445938

Prtksxna updated the task description. (Show Details)Jul 27 2018, 11:34 AM

Change 445946 merged by Robert Vogel:
[mediawiki/extensions/BlueSpicePermissionManager@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445946

Change 445944 merged by Robert Vogel:
[mediawiki/extensions/BlueSpicePageAccess@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445944

Change 445943 merged by Robert Vogel:
[mediawiki/extensions/BlueSpiceNamespaceManager@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445943

Change 445948 merged by Robert Vogel:
[mediawiki/extensions/BlueSpicePageAssignments@master] Convert log-show-hide-{$type} messages to logeventslist-{$type}-log

https://gerrit.wikimedia.org/r/445948